Page MenuHomePhabricator

[SVE] Move INT_TO_FP i1 promotion into custom lowering.
ClosedPublic

Authored by paulwalker-arm on Oct 24 2020, 3:32 AM.

Details

Summary

AddPromotedToType is being used to legalise INT_TO_FP operations
when the source is a predicate. The point where this introduces
vector extends might cause problems in the future so this patch
falls back to manual promotion within custom lowering.

Diff Detail

Event Timeline

paulwalker-arm created this revision.Oct 24 2020, 3:32 AM
paulwalker-arm requested review of this revision.Oct 24 2020, 3:32 AM

I've created this patch so as to be consistent with D87651.

kmclaughlin accepted this revision.Nov 13 2020, 10:24 AM
This revision is now accepted and ready to land.Nov 13 2020, 10:24 AM
This revision was landed with ongoing or failed builds.Dec 15 2020, 4:02 AM
This revision was automatically updated to reflect the committed changes.
paulwalker-arm added a comment.EditedDec 16 2020, 4:35 PM
This comment has been deleted.